/***************************************************************************
 * tablyrics.h: implementation of TabLyrics class
 *
 * This file is part of KGuitar, a KDE tabulature editor
 *
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TABLYRICS_H
#define TABLYRICS_H

#include <QVector>

class TabLyrics
{
public:
	TabLyrics();
	virtual ~TabLyrics();
	
	virtual void clone(const TabLyrics* lyrics);
	
	virtual void setLyricsTrack(int i);
	virtual int lyricsTrack() const;
	
	virtual void setLyricsMeasure(int i, int j);
	virtual int lyricsMeasure(int i) const;
	
	virtual void setLyrics(int i, const QString& s);
	virtual QString lyrics(int i) const;
	
	virtual bool operator==(const TabLyrics& tabLyrics) const;
	virtual bool operator!=(const TabLyrics& tabLyrics) const;
	
private:
	int lyricsTrackProp;
	QVector<int> lyricsMeasureProp;
	QVector<QString> lyricsProp; 
};

#endif
